Documentation Index

Fetch the complete documentation index at: https://docs.plainid.io/llms.txt

Use this file to discover all available pages before exploring further.

Regenerate Scope Secret Key

Prev Next
Post
/api/1.0/scope-operations/{envId}/{scopeId}/secret-keys/{keyId}/regenerate

This API call generates a managed Scope Secret key and returns the value.

Path parameters
envId
string (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

Example550e8400-e29b-41d4-a716-446655440000
scopeId
stringRequired

Scope ID can be found in the Scope Details in the Platform Environment Settings.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api
keyId
stringRequired

The Scope Key ID can be found in the Manage Key Settings section in the relevant Scope when the Scope Auth Method is set to Request Secret or Secret Header.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
ExampleKey_1
Responses
200

Secret key regenerated

regenerated
{
  "data": {
    "scopeId": "customer-api",
    "keyId": "Key_1",
    "value": "6b1f8d7c-3fd0-49c4-a58f-37d4a06d3c53"
  }
}
Expand All
object

Secret regeneration response.

data
object (ManagedSecretRegenerateResult)
scopeId
string

Scope ID can be found in the Scope Details in the Platform Environment Settings.

Examplecustomer-api
keyId
string

The Scope Key ID can be found in the Manage Key Settings section in the relevant Scope when the Scope Auth Method is set to Request Secret or Secret Header.

ExampleKey_1
value
string

Plaintext secret value returned once after regeneration.

Example6b1f8d7c-3fd0-49c4-a58f-37d4a06d3c53
400

Invalid request.

object
code
string
message
string
details
string
403

Missing permission for the Environment.

object
code
string
message
string
details
string
404

Scope or secret key not found.

object
code
string
message
string
details
string
500

Internal Server Error

© 2024 PlainID LTD. All rights reserved.